Bug 1310182 - INDI support has gone in KStars 15.12.1
INDI support has gone in KStars 15.12.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kstars (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 11:46 EST by Christian Dersch
Modified: 2016-02-26 14:23 EST (History)
5 users (show)

See Also:
Fixed In Version: kstars-15.12.2-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 14:23:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Dersch 2016-02-19 11:46:18 EST
KStars lacks INDI support in Fedora 23 starting with kstars-15.12.1, I already found the reason: This new KStars release requires INDI >= 1.1.0 while we only have 1.0.0 in Fedora 23.

Coresponding lines in build.log:

-- Checking for module 'libindi>=1.1.0'
--   Package 'libindi>=1.1.0' not found
-- Could NOT find INDI (missing:  INDI_INCLUDE_DIR INDI_LIBRARIES INDI_DRIVER_LIBRARIES INDI_CLIENT_LIBRARIES) (Required is at least version "1.1.0")


-- The following OPTIONAL packages have not been found:
 * INDI (required version >= 1.1.0) , Astronomical instrumentation control , <http://www.indilib.org>
   Support for controlling astronomical devices on Linux with KStars.


https://kojipkgs.fedoraproject.org//packages/kstars/15.12.1/1.fc23/data/logs/x86_64/build.log

I'll upgrade INDI to 1.2.0 as it is backwards compatible and rebuild KStars, but we have to be more careful in future.
Comment 1 Fedora Update System 2016-02-19 13:26:17 EST
indi-sx-1.2.0-3.20160202svn2675.fc23 indi-gphoto-1.2.0-1.20160202svn2675.fc23 indi-eqmod-1.2.0-1.20160202svn2675.fc23 indi-apogee-1.0-21.fc23 indi-aagcloudwatcher-1.2.0-2.20160202svn2675.fc23 libindi-1.2.0-1.fc23 kstars-15.12.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bfcf2007be
Comment 2 Fedora Update System 2016-02-21 12:58:51 EST
indi-aagcloudwatcher-1.2.0-2.20160202svn2675.fc23, indi-apogee-1.0-21.fc23, indi-eqmod-1.2.0-1.20160202svn2675.fc23, indi-gphoto-1.2.0-1.20160202svn2675.fc23, indi-sx-1.2.0-3.20160202svn2675.fc23, kstars-15.12.2-2.fc23, libindi-1.2.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bfcf2007be
Comment 3 Fedora Update System 2016-02-26 14:23:17 EST
indi-aagcloudwatcher-1.2.0-2.20160202svn2675.fc23, indi-apogee-1.0-21.fc23, indi-eqmod-1.2.0-1.20160202svn2675.fc23, indi-gphoto-1.2.0-1.20160202svn2675.fc23, indi-sx-1.2.0-3.20160202svn2675.fc23, kstars-15.12.2-2.fc23, libindi-1.2.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.